
import matplotlib.pyplot as plt
import numpy as np
from matplotlib import collections  as mc
from matplotlib.path import Path
import matplotlib.patches as patches
import matplotlib as mpl
import csv

def label(x, y):
	if (y-x**2+0.5 >0):
		a=1
	else:
		a=0
	return a

mu, sigma = 0, 1 
A=np.random.normal(mu, sigma, 100)
B=np.random.normal(mu, sigma, 100)
C=np.random.normal(mu, sigma, 100)
# count, bins, ignored = plt.hist(A, 30, normed=True)

for i in range(0, 100):
	C[i]=label(A[i], B[i])

I=C>0.5
J=C<0.5

plt.scatter(A[I], B[I], c='red', s=40, alpha=0.5)
plt.scatter(A[J], B[J], c='blue', s=40, alpha=0.5)


plt.show()


csv_out = open('mycsv-quad.csv', 'wb')
mywriter = csv.writer(csv_out)
rows = zip(A, B, C)
mywriter.writerows(rows)
csv_out.close()